Bug 1251921 - Please include psl test data
Please include psl test data
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: publicsuffix-list (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity low
: ---
: ---
Assigned To: Yanko Kaneti
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-08-10 06:02 EDT by Christopher Meng
Modified: 2015-09-23 00:13 EDT (History)
1 user (show)

See Also:
Fixed In Version: 20150831-1.fc23
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-09-23 00:13:21 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Christopher Meng 2015-08-10 06:02:28 EDT
Hi,

libpsl needs test_psl.txt from publicsuffix to test the publicsuffix( ;-) ), few days ago I encountered the problem that dated test data(*.cy->several new TLDs) failed the tests of libpsl.

Source: https://publicsuffix.org/list/test.txt

(Moved to http://mxr.mozilla.org/mozilla-central/source/netwerk/test/unit/data/test_psl.txt?raw=1

Or this one could be better(?):

https://raw.githubusercontent.com/publicsuffix/list/master/tests/test_psl.txt
)

You should put it underneath %{_datadir}/publicsuffix, but you may also create a test subfolder and put it inside.

Let me know when you finish this and I will start a new libpsl build. Thank you!
Comment 1 Yanko Kaneti 2015-08-10 07:15:13 EDT
(In reply to Christopher Meng from comment #0)
....
> Or this one could be better(?):
> 
> https://raw.githubusercontent.com/publicsuffix/list/master/tests/test_psl.txt
> )

I'd rather use
https://github.com/publicsuffix/list/raw/master/tests/test_psl.txt
which is the same as the above. 

Unfortunately currently it has a syntax error, the fix for which isn't yet merged.  https://github.com/publicsuffix/list/pull/21  . I'd rather wait for that to get merged then update tхe list and add the testс.

I hope its not a big problem to wait a little...
Comment 2 Fedora Update System 2015-09-01 04:00:53 EDT
publicsuffix-list-20150831-1.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2015-14732
Comment 3 Fedora Update System 2015-09-01 16:22:52 EDT
publicsuffix-list-20150831-1.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.\nIf you want to test the update, you can install it with \n su -c 'yum --enablerepo=updates-testing update publicsuffix-list'. You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-14732
Comment 4 Fedora Update System 2015-09-23 00:13:20 EDT
publicsuffix-list-20150831-1.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.